安裝 Google Cloud SDK

這個頁面提供選擇和維持 Cloud SDK 安裝的相關說明。

系統需求

Cloud SDK 必須在 Linux、MacOS X 及 Windows 上執行,且需要 Python 2.7.x。某些隨附於 Cloud SDK 的工具另有額外需求。例如,Google App Engine 開發作業適用的 Java 工具就需要 Java 1.7 以上版本。

事前準備

  1. 登入您的 Google 帳戶。

    如果您沒有帳戶,請申請新帳戶

  2. 在 GCP Console 的專案選擇器頁面中,選取或建立 GCP 專案。

    前往專案選取器頁面

  3. 請確認您已啟用 Google Cloud Platform 專案的計費功能。瞭解如何確認您已啟用專案的計費功能

安裝選項

依照您的需求,使用下列其中一種方法來安裝 Cloud SDK:

  • 編寫指令碼來使用 Cloud SDK 或持續整合/部署?下載適用於非互動式安裝的特定版本 Cloud SDK 版本化封存檔
  • 執行 Debian/Ubuntu? 使用 apt-get 取得在套件格式中的最新版本。
  • 執行 Red Hat Enterprise Linux 7/CentOS 7? 使用 yum 取得在套件格式中的最新版本。
  • 若為 Windows 和 macOS 互動式安裝以及其他用途,請執行互動式安裝程式來安裝最新版本的 Cloud SDK。

這個產品包含哪些內容?

上述的所有安裝方法會安裝預設的 Cloud SDK 元件,包含 gcloudgsutilbq 指令列工具。

如需安裝附加元件,您可以利用 gcloud components install 指令或是安裝適當的 debRPM 套件。

管理安裝內容

當您透過上述其中一種方法安裝 Cloud SDK 後,可以使用 gcloud components 指令群組中的指令來管理您的安裝內容,包括查看已安裝的元件、新增與刪除元件以及升級到新版本 (或降級至特定版本) 的 Cloud SDK。

舊版 Cloud SDK

如果您需要還原至舊版的 Cloud SDK,可以在這個封存中找到所有可下載的舊版本。